/*
 Theme Name:   Le Dévorateur
 Theme URI:    https://ledevorateur.fr
 Description:  Hitchcock Child Theme
 Author:       Simone Montanari
 Author URI:   https://simonemontanari.com
 Template:     hitchcock
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:  devo
*/

body {
	background-color: #fff;
	background: #fff7fc;
	background: rgb(255,222,242);
	background: linear-gradient(305deg, rgba(255,222,242,1) 0%, rgba(255,247,252,1) 22%, rgba(250,250,250,1) 42%, rgba(250,250,250,1) 50%, rgba(255,247,252,1) 72%, rgba(255,222,242,1) 100%); 
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fff7fc', endColorstr='#fff7fc', GradientType=1 );
	color: #232123;
	line-height: 1.35;
	font-family: interstate, sans-serif;
	font-weight: 400;
}

/* Typography */

input,
label,
textarea,
.post-content p.pull,
.post-content table,
.post-content .wp-block-file,
.post-content {
	font-family: interstate, sans-serif;
	font-weight: 400;
}

h1, h2, h3, h4, h5, h6,
.post-content h1, .post-content h2, .post-content h3, .post-content h4, .post-content h5, .post-content h6,
.post-content blockquote cite, 
.post-content fieldset legend,
.post-content .wp-block-file__button,
.post-content .wp-block-button__link {
	font-family: interstate, sans-serif;
	font-weight: 700;
}

label {
	color: #444;
	font-weight: 700;
}

.post-inner {
	width: 600px;
}

h1, h2, h3, h4, h5, h6, p, blockquote, address, big, cite, code, em, font, img, small, strike, sub, sup, li, ol, ul, fieldset, form, label, legend, button, table, caption, tr, th, td {
	line-height: 1.35;
}

/* Clearings */

.clear:before,
.clear:after {
  content: "";
  display: table;
  table-layout: fixed;
}

.clear:after {
  clear: both;
}

/* Links */

a,
a:visited,
.mobile-menu a,
.mobile-menu a:visited,
.single .post-meta a,
.single .post-meta a:visited {
	color: #b928dd;
    -webkit-transition: color 110ms ease-in-out;
    -o-transition: color 110ms ease-in-out;
    transition: color 110ms ease-in-out;
}

a:hover, a:focus, a:active,
.mobile-menu a:hover, .mobile-menu a:focus, .mobile-menu a:active,
.single .post-meta a:hover, .single .post-meta a:focus, .single .post-meta a:active {
	color: #b00e13;
}

a:focus
.mobile-menu a:focus {
	outline: thin dotted;
}

a:hover, a:active,
.mobile-menu a:hover, .mobile-menu a:active {
	outline: 0;
}

.mobile-menu a {
	padding-top: 8px;
	padding-bottom: 8px;
	text-transform: none;
}

.archive-nav a {
	color: #b928dd;
}

/* Header and navigation */

.home .header {
	padding-top: 20px;
	padding-bottom: 50px;
}

.header-image::after {
	display: none; /* Hide background gradient */
}

.navigation,
.header-search .search-button {
	background-color: #fff;
	color: #232123;
}

.navigation {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	z-index: 9999;
}

.site {
	margin-top: 75px;
}

.logo-link {
	display: inline-block;
	padding-top: 8px;
	padding-bottom: 8px;
	margin-left: 5px;
	margin-right: 1.5em;
	width: 200px;
}

.nav-toggle {
	background: #000;
	position: absolute;
	top: 5px;
	right: 5px;
	width: 40px;
}

@media screen and (min-width: 901px) {
	.navigation {
		display: flex;
		justify-content: space-between;
		padding-left: 5%;
		padding-right: 5%;
	}
	
	.home .search-form {
		top: 2em;
	}
}

.logged-in .site {
	margin-top: 107px;
}

.logged-in .navigation {
	top: 32px;
}

@media screen and (max-width: 782px) {
	.logged-in .site {
		margin-top: 121px;
	}

	.logged-in .navigation {
		top: 46px;
	}
}

@media screen and (max-width: 600px) {
	.logged-in .site {
		margin-top: 75px;
	}

	.logged-in .navigation {
		position: absolute;
		top: 0;
	}
}

/* Main menu */

.main-menu a,
.main-menu a:visited {
	color: #b928dd;
    -webkit-transition: color 110ms ease-in-out;
    -o-transition: color 110ms ease-in-out;
    transition: color 110ms ease-in-out;
	text-transform: none;
}

.main-menu a:hover, .main-menu a:focus, .main-menu a:active {
	color: #b00e13;
}

.main-menu a:focus {
	outline: thin dotted;
}

.main-menu a:hover, .main-menu a:active {
	outline: 0;
}

.main-menu li:hover > a, .main-menu li.current-menu-item > a {
	color: #b00e13;
}

.main-menu .sub-menu a,
.main-menu .sub-menu a:hover {
	color: #fff;
}

.main-menu .sub-menu li:hover {
	background-color: #b928dd;
}

.main-menu > .menu-item-has-children > a::before,
.main-menu > .page_item_has_children > a::before {
	display: none;
}

.main-menu > li + li {
	margin-left: 20px;
}

.main-menu > li + li::before {
	left: -15px;
	margin-top: -1px;
}

/* Footer */

.credits p:first-child,
.credits p {
	color: #232123;
}

.credits a {
	text-decoration: underline;
}

.single .post-header {
	padding-top: 50px;
	padding-bottom: 50px;
}

.single .post-header  h1 {
	margin-bottom: 12px;
}

.ez-toc-widget-container,
.post-excerpt {
	line-height: 1.5em;
	margin: 32px auto 0;
	max-width: 600px;
}

.ez-toc-widget-container {
	margin: 32px auto 0;
	max-width: 600px;
}

.ez-toc-widget-container li {
	margin-bottom: 6px;
}

.ez-toc-widget-container li a {
	margin-bottom: 6px;
	text-decoration: underline;
}

.page-title {
	color: #232123;
}

/* Breadcrumbs */

#breadcrumbs {
	color: #444;
	font-size: .9em;
	font-weight: 500;
	padding-top: .5em;
	padding-bottom: .5em;
}

/* WordPress Blocks */

.wp-block-latest-posts {
	padding-left: 2em;
}

@media screen and (min-width: 1155px) {
	.post-content .alignwide,
	.post-content .alignfull {
		margin-left: -220px;
	}
}

.post-content .wp-block-image {
	margin-bottom: 1.2em;
}

.wp-block-image figcaption {
	margin-top: 0;
}

/* Instagram Feed */

.instagram-feed-wrapper {
	margin-top: 80px;
}

.home .instagram-feed-wrapper {
	margin-top: 60px;
}

.instagram-feed-wrapper #sb_instagram {
	margin-left: -11px;
	margin-right: -11px;
	z-index: 500000000;
}

/* Author Box */

.post-author {
	margin: 40px auto;
}

.post-content .author-avatar {
	float: left;
	margin: 5px 20px 20px 0;
	width: 110px;
}

.author-bio {
	margin-bottom: 16px;
}

/* Archive Description */
.archive-description {
	background-color: #fff;
	margin-bottom: 2.5em;
	padding: 30px;
}

.category .archive-description ul {
	list-style: none;
	margin-left: 0;
	margin-right: 0;
	padding: 0;
}

.category .archive-description ul li {
	display: inline;
}

.category .archive-description ul li::after {
	content: " — "
}

.category .archive-description ul li:last-child::after {
	display: none;
}

.archive .page-title {
	display: flex;
	flex-direction: column;
	margin-bottom: 50px;
}

.archive .page-title h1 {
	font-size: 2em;
	font-weight: 700;
	line-height: 120%;
	order: 3;
	text-align: center;
	text-transform: uppercase;
}

/* Home extra content */

.site-intro,
.site-bio {
	margin: 0 auto 40px;
	max-width: 600px;
	width: 100%;
}

.site-bio {
	margin-top: 60px;
}

/* Post Meta */

.single .post-meta {
	color: #444;
	margin-bottom: 20px;
}

.single .post-meta p:not(.post-edit) {
	margin-bottom: 1em;
	text-align: center;
}

.book-places {
	font-size: 16px;
}

/* Mailchimp for WP */

.mc4wp-form-fields p:last-child {
	text-align: right;
}

/* Pictures overlay */ 

.show-preview-titles .has-post-thumbnail .post-overlay {
	background: rgb(0,0,0);
	background: rgba(0,0,0,.1);
	background: linear-gradient(0deg, rgba(0,0,0,0.8015406846332283) 0%, rgba(0,0,0,0.5) 22%, rgba(0,0,0,0) 33%);
}

img.alignleft.round {
	max-width: 150px;
}

.comment-form-comment-subscribe label {
	font-size: 1rem;
	text-transform: none;
}

#cren_subscribe_to_comment {
	margin-right: .4em;
}

/* Search Form */

.header-search {
	display: inline-block;
	min-height: 2.5em;
	position: relative;
}

.header-search .search-field {
	display: block;
	width: 0;
	margin: 0;
	padding: 0;
	background: none;
	border: none;
	border-radius: 0;
	font-size: 14px;
	color: #555;
	text-indent: -9999px;
	transition: width 200ms linear;
}

.search .page-title h1 {
	font-size: 2em;
	font-weight: bold;
	text-align: center;
	text-transform: none;
}

.logo-search {
	position: relative;
	min-height: 4em;
}
